Fedora Online Forum

Il forum della comunità italiana di Fedora

#1 15-08-2019 13:31:13

bracciante
Innamorato del forum
Da S P A L
Registrato: 07-05-2009
Messaggi: 562

[Risolto] QGIS 2.18 e Python 2.7

Buon ferragosto a tutti i fedoriani,

ieri ho aggiornato a F29 (sono sempre "indietro"...) e mi sono messo al lavoro su QGIS, con un'antipatica sorpresa:

Impossibile caricare PyQGIS.
Il supporto Python verrà disabilitato.

Traceback (most recent call last):
  File "", line 1, in 
  File "/usr/lib64/python2.7/site-packages/qgis/gui/__init__.py", line 27, in 
    from qgis._gui import *
RuntimeError: the PyQt4.QtCore module failed to register with the sip module

Versione Python:
2.7.16 (default, Apr 30 2019, 15:54:59)
[GCC 8.3.1 20190223 (Red Hat 8.3.1-2)]
Versione di QGIS:
2.18.20 'Las Palmas', exported
Percorso Python:

['/usr/share/qgis/python', u'/home/[...]/.qgis2/python', u'/home/[...]/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gst-0.10', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages']

E' cosa nota e diffusa: vedi https://gis.stackexchange.com/questions … stallation

Il problema è che Fedora ha sempre versioni "antiche" di QGIS (siamo alla 3.8 ormai). Ma non vorrei che installando da copr la versione più recente poi mi desse problemi generali al sistema (per via del pitone troppo cresciuto!). Qui (https://stackoverflow.com/questions/537 … sip-module) suggeriscono di farlo, voi che ne dite?

Ultima modifica di bracciante (24-08-2019 13:03:40)


"più lontano di una mèta lontanissima c’è la mancanza di mèta" (Bertolt Brecht)

Non in linea

#2 21-08-2019 14:08:20

bebo_sudo
Collaboratore
Da Trento+Trieste
Registrato: 28-02-2011
Messaggi: 1'958
Sito web

Re: [Risolto] QGIS 2.18 e Python 2.7

Se installi tutto con dnf si puo' facilmente (o comunque in poco tempo) rimuovere tutto e tornare allo stato precedente. Procedi e facci sapere se cosi' risolvi.


devzero.tk - github.com/bebosudo
Quando posti del codice, mettilo nel tag code! (senza spazi)            [ code]così[/ code]

Non in linea

#3 24-08-2019 13:03:14

bracciante
Innamorato del forum
Da S P A L
Registrato: 07-05-2009
Messaggi: 562

Re: [Risolto] QGIS 2.18 e Python 2.7

Ho seguito le indicazioni del link segnalato nel post precedente e adesso ho la versione più recente di QGis (3.8), sembra funzionare, grazie per l'incoraggiamento!


"più lontano di una mèta lontanissima c’è la mancanza di mèta" (Bertolt Brecht)

Non in linea

Piè di pagina